Bug 1317148 - Direct firmware load for iwlwifi-6000-6.ucode and iwlwifi-6000-5.ucode failed with error -2 [NEEDINFO]
Direct firmware load for iwlwifi-6000-6.ucode and iwlwifi-6000-5.ucode failed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: linux-firmware (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-12 09:36 EST by Zoltan Hoppar
Modified: 2018-05-29 08:36 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:36:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bhe: needinfo? (kernel-maint)
labbott: needinfo? (hopparz)


Attachments (Terms of Use)
dmesg output attached (105.64 KB, text/plain)
2017-12-23 03:36 EST, Baoquan He
no flags Details
dmesg of bug from F27 (96.27 KB, text/plain)
2018-03-09 12:41 EST, gesserat
no flags Details
dmesg F27 4.14 no bug (50.61 KB, text/plain)
2018-03-09 13:53 EST, gesserat
no flags Details

  None (edit)
Description Zoltan Hoppar 2016-03-12 09:36:20 EST
Description of problem:
Wrong definition/path for in the wifi module helper for iwl6000-ucode

Version-Release number of selected component (if applicable):
kernel 4.4.4-301

How reproducible:
Always

Actual results:
Sometimes drops the wifi module, and no fallback. I have an DELL Latitude E4310 with i5.

Expected results:
No firmware load or path definition error

Additional info:
"CONFIG_FW_LOADER_USER_HELPER_FALLBACK is not recommended to be set to yes - you need to be disabled. The right way to use wifi card is to integrate the path to your firmware ucode file in the kernel and rebuild it. As you have installed the whole package for linux firmware there must be already iwl6000-ucode under directory /lib/firmware. So put the path to this file in the CONFIG_EXTRA_FIRMWARE field in kernel config and also specify the directory for firmware location in CONFIG_EXTRA_FIRMWARE_DIR." 

Maybe this helps: 5 post in the gentoo forum. https://forums.gentoo.org/viewtopic-p-7715914.html
Comment 1 Josh Boyer 2016-03-12 20:06:55 EST
(In reply to Zoltan Hoppar from comment #0)
> Description of problem:
> Wrong definition/path for in the wifi module helper for iwl6000-ucode

Can you please post the ful output of dmesg from a fresh boot?

> Version-Release number of selected component (if applicable):
> kernel 4.4.4-301
> 
> How reproducible:
> Always
> 
> Actual results:
> Sometimes drops the wifi module, and no fallback. I have an DELL Latitude
> E4310 with i5.
> 
> Expected results:
> No firmware load or path definition error
> 
> Additional info:
> "CONFIG_FW_LOADER_USER_HELPER_FALLBACK is not recommended to be set to yes -

Which is why we don't set it.

> you need to be disabled. The right way to use wifi card is to integrate the
> path to your firmware ucode file in the kernel and rebuild it. As you have

No, that isn't the right way to do it.

> installed the whole package for linux firmware there must be already
> iwl6000-ucode under directory /lib/firmware. So put the path to this file in
> the CONFIG_EXTRA_FIRMWARE field in kernel config and also specify the
> directory for firmware location in CONFIG_EXTRA_FIRMWARE_DIR." 

No.

> Maybe this helps: 5 post in the gentoo forum.
> https://forums.gentoo.org/viewtopic-p-7715914.html

It doesn't but thank you for trying.
Comment 2 Baoquan He 2017-12-23 03:35:32 EST
I met this error too on f26. Googled and found so many people suffered from this problem and are still suffering.

[~]$ lspci
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 3e)

I tried copying /lib/firmware/iwlwifi-6000-4.ucode to /lib/firmware/iwlwifi-6000-6.ucode, the error disappeared, but wifi still not connected.
Comment 3 Baoquan He 2017-12-23 03:36 EST
Created attachment 1371566 [details]
dmesg output attached
Comment 4 Laura Abbott 2018-02-27 22:51:36 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.
Comment 5 gesserat 2018-03-09 12:41 EST
Created attachment 1406333 [details]
dmesg of bug from F27

Got this with updated Fedora 27 on 4.15 line of kernels, 4.14 is fine. 
Machine is Lenovo ThinkPad W520.
Dmesg attached. I can provide additional information\logs.
Comment 6 gesserat 2018-03-09 12:46:29 EST
Forgot to add package information.

Installed Packages
Name         : iwl6000-firmware
Version      : 9.221.4.1
Release      : 82.fc27
Arch         : noarch
Size         : 561 k
Source       : linux-firmware-20171215-82.git2451bb22.fc27.src.rpm
Repo         : @System
From repo    : updates
Comment 7 gesserat 2018-03-09 13:53 EST
Created attachment 1406351 [details]
dmesg F27 4.14 no bug

Hmm... maybe I have separate issue, or kernel config/fw changed between 4.14 and 4.15, but I discovered that on 4.14 I still get the same message in dmesg about load failing, and after that everything is fine and wi-fi works.
Comment 8 Laura Abbott 2018-03-09 15:58:33 EST
I think this is better tracked under the firmware package. Are you having wifi problems on 4.15 or is the only issue the error message?
Comment 9 gesserat 2018-03-09 17:34:48 EST
Wi-fi is not working on 4.15 at all. On 4.14 it works but kernel logs still contains errors, so it is possible (yet not proven) that issues are unrelated.
In both cases, adding udev rule to prevent userspace firmware loading seems to have zero effect.
Comment 10 Fedora End Of Life 2018-05-03 04:17:58 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2018-05-29 08:36:30 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.